This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 5991 - Error: The compiler appears to have crashed. Check the build output pad for details. (JavApi)
Summary: Error: The compiler appears to have crashed. Check the build output pad for d...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2012-07-05 12:28 UTC by S. Ritter
Modified: 2012-08-26 08:01 UTC (History)
2 users (show)

See Also:
Tags:


Attachments
source code of changed class to Codepley repository (257.30 KB, application/octet-stream)
2012-07-05 12:28 UTC, S. Ritter
Details
error description on compiler console pad (77.19 KB, text/plain)
2012-07-05 12:35 UTC, S. Ritter
Details

Description S. Ritter 2012-07-05 12:28:18 UTC
Created attachment 2155 [details]
source code of changed class to Codepley repository

I try to change from MS Visual Studio to Mono Develop for my OSS project. Mono Develop, Release ID: 30003002, Git revision: 7bf6ac0ca43c1b12703176ad9933c3484c05c84c-dirty, Build date: 2012-06-16 04:36:10+0000, Xamarin addins: 62ad7268d38c2ece7e00dc32960bd3bdab8fec38 is using.

I take JavApi svn revision 13675 http://javapi.codeplex.com/SourceControl/changeset/changes/13675 and compile. Class biz.ritter.javapi.util.TreeMap line 121 make an error and so I change the inner class visible to internal. Then recompile creates an internal compiler error.
Comment 2 Marek Safar 2012-07-05 12:33:20 UTC
What mono version?
Could you attach the compiler crash output?
Comment 3 S. Ritter 2012-07-05 12:35:27 UTC
Created attachment 2156 [details]
error description on compiler console pad
Comment 4 S. Ritter 2012-07-05 12:40:36 UTC
Compiler crash output is now attached - give me some seconds to add all informations. 
Mono C# compiler version 2.10.9.0
Comment 5 Marek Safar 2012-07-09 10:41:21 UTC
Already fixed in Mono 2.11.

The visibility issue is fixed in master
Comment 6 S. Ritter 2012-08-25 12:15:00 UTC
When get MonoDevelop Mono 2.11??? <arghhh>
Comment 7 Marek Safar 2012-08-26 03:49:18 UTC
MonoDevelop can be used with any Mono version, you just need to correctly install 2.11
Comment 8 S. Ritter 2012-08-26 08:01:46 UTC
But Mono 2.11 is Alpha - sorry but Beta is not good for productivity and Alpha is a bad idea!  (http://www.go-mono.com/mono-downloads/download.html)

Note You need to log in before you can comment on or make changes to this bug.